#
# spec file for package gstreamer010-plugins-bad (Version 0.10.5)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    DirectFB DirectFB-devel Mesa Mesa-devel SDL SDL-devel aaa_base aalib aalib-devel acl alsa-devel atk atk-devel attr audit-libs autoconf automake avahi avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel cdparanoia check check-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs dbus-1 diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 fftw3 file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gconf2 gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-vfs2 gnome-vfs2-lang gpm grep groff gstreamer010 gstreamer010-devel gstreamer010-lang gstreamer010-plugins-base gstreamer010-plugins-base-devel gtk-doc gtk2 gtk2-devel gzip hicolor-icon-theme info insserv iso_ent jack-devel keyutils-libs krb5 ladspa ladspa-devel less libacl libasound2 libattr libbz2-1 libbz2-devel libcdaudio libcdaudio-devel libcom_err2 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgcrypt libglade2 libgomp42 libgpg-error libgsm libgsm-devel libjack libjpeg libltdl-3 libmudflap42 libmusicbrainz-devel libmusicbrainz4 libogg liboil liboil-devel libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtheora0 libtiff3 libtool libusb libuuid1 libvisual libvolume_id libvorbis libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel neon neon-devel net-tools netcfg nss-mdns openjade opensp openssl-certs orbit2 pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt popt-devel post-build-checks python python-xml pyxml rpm sed sgml-skel soundtouch soundtouch-devel sqlite swfdec swfdec-devel sysfsutils sysvinit tar texinfo timezone util-linux valgrind xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           gstreamer010-plugins-bad
# Patched code is built by default.
# Use rpmbuild -D 'BUILD_ORIG 1' to build original code.
# Use rpmbuild -D 'BUILD_ORIG 1' -D 'BUILD_ORIG_ADDON 1' to build patched build plus original as addon.
%define _name gst-plugins-bad
Version:        0.10.5
Release:        36.2
%define gst_branch 0.10
BuildRequires:  SDL-devel check-devel gstreamer010-plugins-base-devel gtk-doc gtk2-devel jack-devel ladspa libcdaudio-devel libgsm-devel libmusicbrainz-devel liboil-devel neon-devel pyxml sgml-skel soundtouch-devel
# FIXME: Requires timidity library, which is not part of OpenSUSE timidity package.
# FIXME: Requires gmyth-0.1 library, which is not part of OpenSUSE mythtv package.
# FIXME: Enable all plugins
%if %suse_version > 1020
BuildRequires:  ladspa-devel swfdec-devel
# Prevent "have choice for swfdec: swfdec swfdec-orig":
BuildRequires:  swfdec
%endif
# Needed for modplug
BuildRequires:  gcc-c++
%if %suse_version > 1010
BuildRequires:  DirectFB-devel
%else
BuildRequires:  DirectFB
%endif
%if 0%{?BUILD_ORIG}
BuildRequires:  amrwb-devel faac-devel faad2-devel libdca-devel x264-devel
%if %suse_version > 1010
BuildRequires:  xvid-devel
%else
BuildRequires:  xvid
%endif
%ifarch %ix86
BuildRequires:  divx4linux-devel
%endif
%if 0%{?BUILD_ORIG_ADDON}
Provides:       patched_subset
%else
Provides:       %{name}-orig-addon = %{version}
Obsoletes:      %{name}-orig-addon
%endif
%else
Provides:       patched_subset
%endif
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind
%endif
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/GUI/GNOME
AutoReqProv:    on
Source:         %{_name}-%{version}.tar.bz2
Patch2:         gstreamer010-plugins-bad-libdca-shared.patch
# FIXME: Patch is incomplete.
Patch3:         gstreamer010-plugins-bad-swfdec04.patch
Patch4:         gstreamer010-plugins-bad-ac.patch
Patch5:         gstreamer010-plugins-bad-soundtouch-1.0.patch
Patch6:         gstreamer010-plugins-bad-real.patch
# PATCH-FIX-UPSTREAM libmodplug-load_med.patch http://modplug-xmms.cvs.sourceforge.net/viewvc/modplug-xmms/libmodplug/src/load_med.cpp?r1=1.1&amp;r2=1.2 sbrabec@suse.cz libmodplug-0.8.6 -- fix MED boundary condition error
Patch7:         gstreamer010-plugins-bad-libmodplug-load_med.patch
Url:            http://gstreamer.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Obsoletes:      gstreamer-plugin-libs
%if %suse_version > 1000
Enhances:       gstreamer010
%endif
Requires:       gstreamer010 = %(rpm -q --queryformat '%{VERSION}' gstreamer010)

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%debug_package
%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}

%package orig-addon
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
%if %suse_version > 1000
Supplements:    %{name}
%endif

%description orig-addon
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%endif
%endif

%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description devel
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package doc
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description doc
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related,from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%prep
%setup -q -n %{_name}-%{version}
%if 0%{?BUILD_ORIG}
if ! test -f /usr/%{_lib}/libdts_pic.a ; then
%patch2
fi
%endif
# FIXME: Patch is incomplete.
#%patch3
%patch4
%patch5
%patch6
%patch7

%build
NOCONFIGURE=1 ./autogen.sh
# needed for gst-plugins-bad-0.10.3:dfbvideosink.c
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--disable-static\
	--enable-gtk-doc
# FIXME: warning: failed to load external entity "xml/plugin-sdlvideosink.xml"
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_branch}/*.*a
%if ! 0%{?BUILD_ORIG}
for MODULE in \
%{_libdir}/gstreamer-%{gst_branch}/libgstamrwb.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstdivxdec.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstdivxenc.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstdtsdec.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstfaac.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstfaad.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegvideoparse.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstx264.so \
%{_libdir}/gstreamer-%{gst_branch}/libgstxvid.so \
; do
    rm -f $RPM_BUILD_ROOT$MODULE
done
%endif
%find_lang %{_name}-0.10

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %{_name}-0.10.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%{_libdir}/*.so.*
%{_libdir}/gstreamer-%{gst_branch}/libgstapp.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalsaspdif.so
%{_libdir}/gstreamer-%{gst_branch}/libgstbayer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstbz2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdaudio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdxaparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdeinterlace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdfbvideosink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdvbsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstequalizer.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfilter.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfreeze.so
%{_libdir}/gstreamer-%{gst_branch}/libgstglimagesink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgsm.so
%{_libdir}/gstreamer-%{gst_branch}/libgsth264parse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstinterleave.so
%{_libdir}/gstreamer-%{gst_branch}/libgstjack.so
%{_libdir}/gstreamer-%{gst_branch}/libgstladspa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmodplug.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmultifile.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmve.so
%if %suse_version >= 1020
%{_libdir}/gstreamer-%{gst_branch}/libgstneonhttpsrc.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstnsf.so
%{_libdir}/gstreamer-%{gst_branch}/libgstnuvdemux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpitch.so
%ifarch %ix86 x86_64 ppc
%{_libdir}/gstreamer-%{gst_branch}/libgstreal.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstreplaygain.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrfbsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstrtpmanager.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsdl.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspectrum.so
%{_libdir}/gstreamer-%{gst_branch}/libgstspeed.so
%{_libdir}/gstreamer-%{gst_branch}/libgstswitch.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttrm.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttta.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideosignal.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvmnc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxingheader.so
%{_libdir}/gstreamer-%{gst_branch}/libgsty4menc.so
%if 0%{?BUILD_ORIG}
%if 0%{?BUILD_ORIG_ADDON}

%files orig-addon
%defattr(-, root, root)
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstamrwb.so
%ifarch %ix86
%{_libdir}/gstreamer-%{gst_branch}/libgstdivxdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdivxenc.so
%endif
%{_libdir}/gstreamer-%{gst_branch}/libgstdtsdec.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaac.so
%{_libdir}/gstreamer-%{gst_branch}/libgstfaad.so
%{_libdir}/gstreamer-%{gst_branch}/libgstmpegvideoparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgstx264.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxvid.so
%endif

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-0.10/gst/app
%{_libdir}/*.so
%{_libdir}/*.*a

%files doc
%defattr(-, root, root)
%{_prefix}/share/gtk-doc/html/gst-plugins-bad-plugins-%{gst_branch}

%changelog
* Wed Apr 22 2009 - sbrabec@suse.cz
- Fixed libmodplug s3m boundary check overflow vulnerability in
  Amiga MED and OctaMED files (bnc#496541, securityfocus#30801).
* Fri Sep 07 2007 - schwab@suse.de
- Fix file list.
* Thu Aug 02 2007 - sbrabec@suse.cz
- Use Enhances: gstreamer010 instead of Supplements (#294358).
* Thu Jun 21 2007 - sbrabec@suse.cz
- Updated to version 0.10.5:
  * New plugin - realdec for decoding Real streams using binary
  libs
  * New plugin - MythTV source
  * New plugin - appsrc (for application data insertion)
  * New plugin - VMnc VMware capture decoder
  * New plugin - JACK audio output
  * New plugin - interleave/deinterleave
  * New plugin - RTP manager
  * New plugin - Bayer to RGB converter
  * New plugin - ReplayGain support
  * New plugin - DirectShow win32 input support
  * New plugin - videosignal/videoanalyse
  * LADSPA plugin improvements
  * IIR equaliser ported to 0.10 (iirequalizer)
  * libsndfile output ported to 0.10
  * mpegvideoparse ported to 0.10 and improved
  * switch element ported to 0.10
  * VCD source element ported to 0.10
  * AMR-WB support fixes
  * MIDI renderer plugin based on timidity
  * qtdemux, wavpack and videocrop plugins moved to the Good module
  * Many other bug fixes and improvements
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
* Wed May 16 2007 - sbrabec@suse.cz
- Use Supplements instead of not yet supported Enhances.
* Thu May 10 2007 - ro@suse.de
- added ladspa-devel to buildrequires
* Thu Apr 19 2007 - schwab@suse.de
- Fix quoting in autoconf macros.
* Tue Apr 17 2007 - sbrabec@suse.cz
- Removed NoSource - there is no problematic code.
* Wed Mar 28 2007 - sbrabec@suse.cz
- Updated to version 0.10.4:
  * V4L2 source element moved to Good plugins
  * Many improvements in Quicktime playback
  * Xvid encoding and decoding improvements
  * FAAD decoder fixes
  * New element: alsaspdifsink for IEC958 output
  * Spectrum FFT analysis element ported
  * New element: h264parse. H.264 Parser
  * Fixes in bz2 support
  * New element: theoraexpdec. Libtheoraexp based Theora decoder
  * New element: wavpackenc. Wavpack decoder
  * Improvements in the libneon based http source
  * gstfilter ported to 0.10
  * mpeg2enc ported to 0.10
  * New element: nsfdec. NSF decoder
  * New element: spcdec. libopenspc based SPC decoder
  * videocrop ported/re-written from 0.8
  * cdaudio element ported to 0.10
  * New element: rganalysis. ReplayGain analysis element
  * New element: dvbsrc. DVB source element (disabled by default)
  * deinterlace (Simple deinterlacer) ported from 0.8
  * New element: nuvdemux. NUV video demuxer
  * Fixes in the DirectDraw output elements
  * New elements: multifilesrc, multifilesink
  * y4mencode ported from 0.8
  * rfbsrc, librfb based capture source ported from 0.8
  * New element: jackaudiosink. JACK audio output element
  * Many fixes and improvements
- Support for BUILD_ORIG and BUILD_ORIG_ADDON defines (#237351).
* Fri Mar 02 2007 - sbrabec@suse.cz
- Fixed BuildRequires to build on all products.
* Tue Feb 06 2007 - sbrabec@suse.cz
- Reduced BuildRequires.
* Mon Dec 18 2006 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Mon Dec 11 2006 - sbrabec@suse.cz
- Fixed build for 10.2.
* Tue Nov 28 2006 - sbrabec@suse.cz
- Build correctly in older products.
* Thu Nov 09 2006 - sbrabec@suse.cz
- Fixed linking of plugins with latest packages.
* Tue Oct 17 2006 - ro@suse.de
- use DirectFB-devel in BuildRequires
* Sun Jul 23 2006 - olh@suse.de
- readd gcc-c++ to buildrequires
  adapt for neon 0.26 API
* Tue Jun 27 2006 - sbrabec@suse.cz
- Build with libdca-devel.
* Tue Jun 20 2006 - sbrabec@suse.cz
- Updated to version 0.10.3:
  * FAAD/AAC decoder improvements
  * Better QuickTime support
  * Plugins ported from 0.8: modplug, v4l2src, Musicbrainz TRM
  * New plugins: Xing muxer, libsoundtouch, AMR-WB, theora-exp
  * Musepack decoder improved
  * libneon based http input now supports iradio mode
  * More uniform plugin descriptions
  * Many bug fixes
- Added support for more plugins.
* Wed Mar 22 2006 - hvogel@suse.de
- add gcc-c++ to buildrequires for some configure check
* Fri Feb 24 2006 - jpr@suse.de
- Update to 0.10.1
- Changes since 0.10.0:
  * Parallel installability with 0.8.x series
  * Threadsafe design and API
  * Lots of fixes for the QT/MOV demuxer, including restoring
  the ability to play web streams, and more codecs supported
  * AAC decoder fixes
  * MMS source fixes
  * DirectFB plugin updated
  * New plugins ported to 0.10: swfdec, XVid, dtsdec, glimagesink
  * New libneon based http source filter
  * APE tag reader moved to gst-plugins-good module
  Bugs fixed since 0.10.0:
  * 303167 : Add bzip2 support
  * 322973 : [wavpack] erroneous sampling rates range
  * 326524 : Support for Indeo 3-encoded QuickTime files
  * 327133 : [qtdemux] QuickTime with 8-bit audio
  * 328854 : AAC+ stream not working with FAAD plugin
  * 330089 : [bz2] Wrong mimetype and no typefinding
  * 331302 : bz2 plugin source files lack copyright notices
  * 331543 : crash on iTunes MPEG v4 AAC-LC files
  * 331582 : [qtdemux] protect log statement against invalid memory access
* Tue Feb 14 2006 - sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - ro@suse.de
- avoid gstreamer installation (-gstreamer in nfb)
* Wed Jan 18 2006 - sbrabec@suse.cz
- Build again with -export-symbols-regex.
* Mon Jan 09 2006 - sbrabec@suse.cz
- Build GSM modules.
* Fri Jan 06 2006 - sbrabec@suse.cz
- New SuSE package, version 0.10.0.
- Worked around -export-symbols-regex libtool problems.
